Package org.eclipse.net4j.util.collection

# Class UnionSet<E>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractSet<E>
org.eclipse.net4j.util.collection.UnionSet<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`, `Set<E>`

public class UnionSet<E> extends AbstractSet<E>

Since:
  3.14
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`UnionSet(Collection<? extends E> c1, Collection<? extends E> c2)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<E>`
`iterator()`
`int`
`size()`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, spliterator, toArray, toArray`

## Constructor Details

### UnionSet

public UnionSet(Collection<? extends E> c1, Collection<? extends E> c2)

## Method Details

### iterator

public Iterator<E> iterator()

Specified by:
  `iterator` in interface `Collection<E>`
Specified by:
  `iterator` in interface `Iterable<E>`
Specified by:
  `iterator` in interface `Set<E>`
Specified by:
  `iterator` in class `AbstractCollection<E>`

### size

public int size()

Specified by:
  `size` in interface `Collection<E>`
Specified by:
  `size` in interface `Set<E>`
Specified by:
  `size` in class `AbstractCollection<E>`